<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSuppliersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('suppliers', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('branch_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->string('transactions_password')->nullable();
            $table->string('opening_balance')->nullable();
            $table->string('report_password')->nullable();
            $table->string('date')->nullable();
            $table->string('name_of_organisation')->nullable();
            $table->string('commerical_registration_number')->nullable();
            $table->string('contact_person_name')->nullable();
            $table->string('office_phone')->nullable();
            $table->string('mobile')->nullable();
            $table->string('whatsapp')->nullable();
            $table->string('email')->nullable();
            $table->integer('country_id');
            $table->string('city');
            $table->string('address')->nullable();
            $table->string('class_of_account_id');
            // $table->integer('show_user')->nullable();
            // $table->string('maintain_account');
            $table->integer('vat_number')->nullable();
            $table->integer('trn_number')->nullable();
            $table->integer('tin_number')->nullable();
            $table->string('doc_name_1')->nullable();
            $table->string('doc_file_1')->nullable();
            $table->string('doc_expiry_1')->nullable();
            $table->string('doc_name_2')->nullable();
            $table->string('doc_file_2')->nullable();
            $table->string('doc_expiry_2')->nullable();
            $table->string('doc_name_3')->nullable();
            $table->string('doc_file_3')->nullable();
            $table->string('doc_expiry_3')->nullable();
            $table->string('doc_name_4')->nullable();
            $table->string('doc_file_4')->nullable();
            $table->string('doc_expiry_4')->nullable();
            $table->string('doc_name_5')->nullable();
            $table->string('doc_file_5')->nullable();
            $table->string('doc_expiry_5')->nullable();
            $table->string('doc_name_6')->nullable();
            $table->string('doc_file_6')->nullable();
            $table->string('doc_expiry_6')->nullable();
            $table->string('doc_name_7')->nullable();
            $table->string('doc_file_7')->nullable();
            $table->string('doc_expiry_7')->nullable();
            $table->string('description')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('suppliers');
    }
}
