<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCountryLocationWiseCashTransferItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('country_location_wise_cash_transfer_items', function (Blueprint $table) {
            $table->id();
            $table->integer('country_location_wise_cash_transfer_id');
            $table->string('from_currency_id');
            $table->string('from_amount');
            $table->string('multiply_divide');
            $table->string('to_currency_id');
            $table->string('to_amount');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('country_location_wise_cash_transfer_items');
    }
}
