@extends('layouts.crusher')
@section('content')


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Receipt Voucher</h6>
                            </div>

                        </div>
                        <!-- <div class="col-4"> -->
                        <form action="{{ route('software.receipt_vouchers.store') }}" class="outer-repeater" method="POST">
                            @csrf


                            <div class="row">

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label>Receipt Voucher #</label>
                                        <input class="form-control" readonly placeholder="" id="example-password-input"
                                            name="invoice_no" value="{{ $newReceipt }}">
                                    </div>
                                </div>

                                <div class="col-md-6">

                                </div>

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label>Date</label>
                                        <input class="form-control PeriodClosingDate" type="date" pattern="\d{4}-\d{2}-\d{2}"
                                            name="date" value="{{ date('Y-m-d') }}">
                                    </div>
                                </div>
                            </div>

                            <br>


                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label">Select Method</label>
                                        <select class="form-control paymentMethod select2" id="myDropdown" onchange="myFunction()"
                                            name="payment_method">
                                            <option>Select Method</option>
                                            <option value="cash">Cash</option>
                                            <option value="bank">Bank</option>
                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <label class="control-label">Select Account</label>
                                        <select id="account" class="form-control select2"
                                            name="account_id" >
                                            <option>Select Account</option>
                                            @foreach ($accounts as $account)
                                                <option value="{{ $account->id }}"
                                                    data-account-type="{{ $account->table_name }}" data-account-name="{{ $account->account_name }}" data-acc-no="{{ $account->account_no }}">
                                                    {{ $account->account_name }}
                                                </option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <input type="hidden" class="account_type" name="account_type"
                                        id="account_type">
                                    <input type="hidden" name="account_name" class="account_name">
                                    <input type="hidden" class="acc_no" name="acc_no" id="acc_no">

                                </div>


                                <div class="col-md-6" id="pricehidden4" style="display: none;">
                                    <div class="form-group">
                                        <label class="control-label">Select Bank Account</label>
                                        <select class="form-control bank select2" style="width: 100%" name="bank_id">
                                            <option value="">Select Bank Account</option>
                                            @foreach ($Bankaccounts as $Bankaccount)
                                                <option value="{{ $Bankaccount->id }}" data-name="{{ $Bankaccount->account_name }}" data-bank-no="{{ $Bankaccount->account_no }}">
                                                    {{ $Bankaccount->account_name }}
                                                </option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <input type="hidden" name="bank_name" id="bank_name">
                                    <input type="hidden" class="bank_no" name="bank_no" id="bank_no">

                                    <div class="form-group">
                                        <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^a-zA-Z0-9.]/g, '');" placeholder="Cheque No #"
                                        id="example-password-input" name="cheque_no">

                                    </div>
                                    <div class="form-group">
                                        <input class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}"
                                            name="cheaque_date">
                                    </div>

                                </div>
                                <div class="col-md-6">

                                </div>
                                <div class="col-md-6" id="pricehidden1" style="display: none;">

                                </div>
                                <div class="col-md-6">
                                </div>
                                <div class="col-md-6" id="pricehidden2" style="display: none;">

                                </div>
                                <div class="col-md-6">
                                </div>

                                <div class="table-responsive mb-0" data-pattern="priority-columns">
                                    <table class="table table-bordered dt-responsive nowrap"
                                        style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                        <thead>
                                            <tr>

                                                <th>BillWise/OnAccount</th>
                                                <th>Select Invoice</th>
                                                {{-- <th>Account Name</th> --}}
                                                <th>Amount</th>
                                                <th>Delete</th>

                                            </tr>
                                        </thead>

                                        <tbody id="table-body">
                                            <tr>
                                                <div class="inner-repeater mb-12">
                                                    <div data-repeater-list="inner-group" class="inner form-group">
                                                        <td>
                                                            <div class="form-group">
                                                                <select class="form-control selectItem" name="bill_wise_id[]">
                                                                    <option value="" selected disabled selected>Select Type...</option>
                                                                    <option value="BillWise">BillWise</option>
                                                                    <option value="OnAccount">On Account</option>
                                                                </select>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group" id="accountSelect">
                                                                <select class="form-control selectItem " name="inovice_id[]">
                                                                    <option value="" selected disabled selected>Select Account</option>
                                                                    @foreach ($salesInvoices as $si)
                                                                        <option value="{{ $si->invoice_no }}">Invoice # {{ $si->invoice_no }} Amount: ({{ $si->total_net_amount }})</option>
                                                                    @endforeach
                                                                </select>
                                                            </div>
                                                        </td>
                                                        {{-- <td>
                                                            <div class="form-group">
                                                                <select id="account" class="form-control"
                                                                    name="account_id[]" >
                                                                    <option>Select Account</option>
                                                                    @foreach ($accounts as $account)
                                                                        <option value="{{ $account->id }}"
                                                                            data-account-type="{{ $account->table_name }}">
                                                                            {{ $account->account_name }}
                                                                        </option>
                                                                    @endforeach
                                                                </select>
                                                            </div>
                                                            <input type="hidden" class="account_type" name="account_type[]"
                                                                id="account_type">
                                                        </td> --}}

                                                        <td>
                                                            <div class="form-group">
                                                                <input class="form-control amount-input" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                    placeholder="0.0000" id="example-password-input"
                                                                    name="amount[]">
                                                            </div>
                                                        </td>


                                                    </div>

                                                </div>


                                                <td>
                                                    <a href="" class="delete-row-btn"> <i
                                                            class="fas fa-trash-alt inner"></i></a>
                                                </td>



                                            </tr>

                                        </tbody>
                                    </table>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-8">
                                    <button id="add-more-btn" class="btn btn-outline-primary">add
                                        more</button>
                                </div>
                                <br>
                                <div class="col-md-4">
                                    <!-- <h5>QTY Total: 0</h5> -->
                                </div>

                                <br><br>

                                {{-- <div class="col-md-4">
                                    <label for="name">Amount in Words : </label>
                                    <span id="total_net_amount_words"></span>
                                </div> --}}
                                <div class="col-md-4">
                                    <strong>
                                        <label>Amount in Words : </label>
                                        <span><input type="text" class="custin" id="total_net_amount_words"
                                                name="AmountInWords" readonly style="overflow:visible;"></span>
                                    </strong>
                                </div>
                                <div class="col-md-4">
                                </div>
                                <div class="col-md-4">
                                    <label for="name">Net Total(RO): <span id="netTotal">0</span></label>
                                </div>
                            </div>
                            <button class="btn btn-cust1 float-right" type="submit">Create Recipient Voucher
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->


    <!-- Modals -->
    <div id="moda123l1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal1Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal1Label">Add New Account</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Form Will Be visible</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div id="modal2" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal2Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal2Label">Modal 2</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>This is Modal 2</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div id="modal3" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal3Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal3Label">Modal 3</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>This is Modal 3</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">C lose</button>
                </div>
            </div>
        </div>
    </div>

        <!-- Modals -->
        <div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
        aria-hidden="true">
        <div class="modal-dialog">
            <form id="buyer-form">
                @csrf
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title mt-0" id="myModalLabel">Buyer Information :</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Name :</label>
                                <input class="form-control" type="text" placeholder="Enter Name"
                                    id="example-password-input" name="name" id="name">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Phone # :</label>
                                <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Phone #"
                                    id="example-password-input" name="phone" id="phone">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Email :</label>
                                <input class="form-control" type="text" placeholder="Enter Email"
                                    id="example-password-input" name="email" id="email">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Vat Number :</label>
                                <input class="form-control" type="text" placeholder="Vat Number"
                                    id="example-password-input" name="vat_number" name="vat_number">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Address :</label>
                                <textarea class="form-control" rows="3" type="text" placeholder="Enter Address"
                                    id="example-textarea-input" name="address" id="address">
                        </textarea>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="invoice_no" value="{{ $newReceipt }}" id="invoice_no">
                        <input type="hidden" name="type" value="receipt_voucher" id="type">
                        <button type="button" class="btn btn-secondary waves-effect" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary waves-effect waves-light">Save</button>
                    </div>
            </form>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->

    <script src="https://code.jquery.com/jquery-3.7.0.js" integrity="sha256-JlqSTELeR4TLqP0OG9dxM7yDPqX1ox/HfgiSLBj8+kM="
        crossorigin="anonymous"></script>

    <script>

        $(document).ready(function() {
            // Event handler for the add-clone-btn click
            $(document).on('click', '.add-clone-btn', function(e) {
                e.preventDefault();

                // Get the parent <tr> element
                var parentTr = $(this).closest('tr');

                // Clone the parent <tr> element
                var clonedTr = parentTr.clone();

                // Append the cloned <tr> after the parent <tr>
                parentTr.after(clonedTr);
            });
        });

        $(document).ready(function() {
            // $('#add-more-btn').click(function(e) {
            //     e.preventDefault();

            //     // Clone the existing row
            //     var newRow = $('#table-body tr').first().clone();

            //     // Clear input fields and select values in the cloned row
            //     newRow.find('input, textarea').val('');
            //     newRow.find('select').prop('selectedIndex', 0);

            //     // Append the cloned row to the table
            //     $('#table-body').append(newRow);
            // });

            // $('#add-clone-btn').click(function(e) {
            //     e.preventDefault();

            //     // Clone the existing row
            //     var newRow = $('#table-body tr').first().clone();

            //     // Clear input fields and select values in the cloned row
            //     newRow.find('input, textarea').val('');
            //     newRow.find('select').prop('selectedIndex', 0);

            //     // Append the cloned row to the table
            //     $('#table-body').append(newRow);
            // });

            // Handle delete button click event
            $(document).on('click', '.delete-row-btn', function(e) {
                e.preventDefault();

                // Get the parent row and remove it
                var row = $(this).closest('tr');
                row.remove();
            });
        });
    </script>

    <script>
        function myFunction() {
            var dropdown = document.getElementById("myDropdown");
            var pricehidden4 = document.getElementById("pricehidden4");
            var pricehidden1 = document.getElementById("pricehidden1");
            var pricehidden2 = document.getElementById("pricehidden2");
            var pricehidden3 = document.getElementById("pricehidden3");

            if (dropdown.value === "cash") {
                pricehidden4.style.display = "none";
                pricehidden1.style.display = "none";
                pricehidden2.style.display = "none";
                pricehidden3.style.display = "none";
            } else {
                pricehidden4.style.display = "block";
                pricehidden1.style.display = "block";
                pricehidden2.style.display = "block";
                pricehidden3.style.display = "block";
            }
        }
    </script>

    <!-- modal script -->

    <script>
        document.getElementById("modalSelect").addEventListener("change", function() {
            var selectedModal = this.value;

            // Close any open modals
            $('.modal').modal('hide');

            // Open the selected modal
            $('#' + selectedModal).modal('show');
        });
    </script>

    <script>
        $(document).ready(function() {

            // Calculate and update net total
            function calculateNetTotal() {
                var totalAmount = 0;
                $('.amount-input').each(function() {
                    var amount = parseFloat($(this).val());
                    if (!isNaN(amount)) {
                        totalAmount += amount;
                    }
                });

                $('#netTotal').text(totalAmount.toFixed({{session()->get('branch')->currency_decimal}})); // Display the net total

                // Convert total net amount to words and update the corresponding field
                var totalNetAmountWords = numberToWords(totalAmount.toFixed({{session()->get('branch')->currency_decimal}}));
                $('#total_net_amount_words').val(totalNetAmountWords);
            }

            // Calculate and update net total on input change
            $(document).on('change', '.amount-input', function() {
                calculateNetTotal();
            });

            // Handle delete button click event
            $(document).on('click', '.delete-row-btn', function(e) {
                e.preventDefault();

                // Get the parent row and remove it
                var row = $(this).closest('tr');
                row.remove();

                // Update the net total after deleting a row
                calculateNetTotal();
            });

            // ... (rest of your existing script) ...
        });
    </script>

    <script>
        $(document).ready(function() {
            // Function to attach event listeners to a new row
            function attachListenersToNewRow(row) {
                row.find('select[name="account_id[]"]').on('change', function() {
                    var selectedOption = $(this).find('option:selected');
                    var accountType = selectedOption.data('account-type');
                    var hiddenInput = $(this).closest('tr').find('.account_type');
                    if (hiddenInput.length) {
                        hiddenInput.val(accountType);
                    }
                });
            }

            // Event handler for the add-more-btn click
            $('#add-more-btn').click(function(e) {
                e.preventDefault();

                // Clone the existing row
                var newRow = $('#table-body tr').first().clone();

                // Clear input fields and select values in the cloned row
                newRow.find('input, textarea').val('');
                newRow.find('select').prop('selectedIndex', 0);

                // Append the cloned row to the table
                $('#table-body').append(newRow);

                // Attach event listeners to the new row
                attachListenersToNewRow(newRow);
            });

            // Attach initial event listeners to the first row
            attachListenersToNewRow($('#table-body tr').first());
        });
    </script>
    <script>
        $(document).ready(function() {
            // Hide the "Select Account" input initially
            $("#accountSelect").hide();

            // Listen for changes in the "Select Type" dropdown
            $("select[name='bill_wise_id[]']").on("change", function() {
                // Check if "BillWise" is selected
                if ($(this).val() === "BillWise") {
                    // Show the "Select Account" input
                    $("#accountSelect").show();
                } else {
                    // Hide the "Select Account" input
                    $("#accountSelect").hide();
                }
            });
            function updateAccountTypeAndName() {
                var selectedOption = $('#account option:selected');
                var accountType = selectedOption.data('account-type');
                var accountName = selectedOption.data('account-name');
                var accNo = selectedOption.data('acc-no');
                $('.account_type').val(accountType);
                $('.account_name').val(accountName);
                $('.acc_no').val(accNo);

            }

            updateAccountTypeAndName();

            $('#account').change(updateAccountTypeAndName);
        });
    </script>
  <script>
    $(document).ready(function() {
        $('.bank').change(function() {
            var selectedOption = $(this).find('option:selected');
            var bankName = selectedOption.data('name');
            var bankNo = selectedOption.data('bank-no');
            $('#bank_name').val(bankName);
            $('.bank_no').val(bankNo);

        });
    });
</script>


@php
    use App\Branches;
    use Carbon\Carbon;

    $selectedBranchId = session('selected_branch');

    $branch = Branches::where('id', $selectedBranchId)->first();
@endphp

<script>
    @if (!empty($selectedBranchId))
        document.addEventListener("DOMContentLoaded", function() {
            var periodClosings = <?php echo json_encode($periodClosings); ?>;

            function isBeforePeriodClosing(date) {
                var selectedDate = new Date(date);
                for (var i = 0; i < periodClosings.length; i++) {
                    var closingDate = new Date(periodClosings[i]);
                    if (selectedDate < closingDate) {
                        return true;
                    }
                }
                return false;
            }

            function setColor(dateInput) {
                var selectedDate = dateInput.value;
                if (isBeforePeriodClosing(selectedDate)) {
                    dateInput.style.backgroundColor = 'lightgrey';
                } else {
                    dateInput.style.backgroundColor = '';
                }
            }

            var periodClosingDateInputs = document.querySelectorAll('.PeriodClosingDate');
            periodClosingDateInputs.forEach(function(input) {
                input.addEventListener('change', function() {
                    setColor(this);
                    if (isBeforePeriodClosing(this.value)) {
                        @if (!Branches::hasBranchPermission($selectedBranchId, 'Back Dated Entry As Per User Credentials'))
                            window.alert("Do you want to enter a closing period? Please contact admin.");
                            this.value = '';
                        @else
                            window.alert("Do you want to enter a closing period?");
                        @endif
                    }
                });
                setColor(input);
            });
        });
    @endif
</script>


@endsection
