
<?php $__env->startSection('content'); ?>


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Supplier Master</h6>
                            </div>
                            <div class="col-md-6">
                                <a href="<?php echo e(url('crusher/master/supplier_master/create')); ?>">
                                    <button class="btn btn-cust1 float-right" type="submit">Add
                                        Supplier</button>
                                </a>
                            </div>
                        </div>
                        <!-- <div class="col-4"> -->


                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table id="datatable" class="table table-bordered nowrap"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>Account Name</th>
                                        <th>Contact Person Name</th>
                                        <th>Mobile Number</th>
                                        <th>Email</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>

                                <tbody>
                                    <?php $__empty_1 = true; $__currentLoopData = $suppliers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $supplier): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    
                                    <tr>
                                            <td><?php echo e($supplier->name_of_organisation); ?></td>
                                            <td><?php echo e($supplier->contact_person_name); ?></td>
                                            <td><?php echo e($supplier->mobile); ?></td>
                                            <td><?php echo e($supplier->email); ?></td>
                                            <td>
                                                <a
                                                    href="<?php echo e(route('crusher.suppliers.show', ['supplier' => $supplier->id])); ?>">
                                                    <i class="far fa-eye cust-icon2"></i></a>
                                                <a
                                                    href="<?php echo e(route('crusher.suppliers.edit', ['supplier' => $supplier->id])); ?>">
                                                    <i class="far fa-edit cust-icon2"></i></a>
                                                <form
                                                    action="<?php echo e(route('crusher.suppliers.delete', ['supplier' => $supplier->id])); ?>"
                                                    method="POST" class="d-inline">
                                                    <?php echo csrf_field(); ?>
                                                    <?php echo method_field('DELETE'); ?>
                                                    <button onclick="return confirm('Sure want to delete?')" type="submit" class="btn btn-link p-0 m-0 text-danger">
                                                        <i class="far fa-window-close cust-icon2"></i>
                                                    </button>
                                                </form>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <?php endif; ?>
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew\acpnew\resources\views/crusher/supplier_master/index.blade.php ENDPATH**/ ?>