<?php $__env->startSection('content'); ?>

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Stock Report
                            </h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">Complete Stock Report</h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>

                            </div>
                        </div>
                    </div>
                    <br>
                    <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                        <table id="" class="table table-bordered dt-responsive nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr class="td-drak-bg">
                                    <th class="text-center">Item Name</th>
                                    <th class="text-center">QTY</th>
                                    <th class="text-center">Unit</th>
                                </tr>
                            </thead>
                            <?php
                                $TotalQuantity = null;
                                $TotalRateUnit = null;
                                $TotalNetAmount = null;
                            ?>
                            <tbody>
                                <?php
                                $grandTotal = 0;
                                ?>

                                    <?php $__currentLoopData = $groupedItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $groupName => $items): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $groupTotal = 0;
                                    ?>

                                    <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($item['ItemTotalClosingQuantity'] > 0): ?>
                                            <?php
                                                $groupTotal += $item['ItemTotalClosingQuantity'];
                                                $grandTotal += $item['ItemTotalClosingQuantity'];
                                            ?>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    <?php if($groupTotal > 0): ?>
                                        <tr>
                                            <td colspan="3" class="text-center"><strong><?php echo e($groupName); ?></strong></td>
                                        </tr>

                                        <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if($item['ItemTotalClosingQuantity'] > 0): ?>
                                                <tr>
                                                    <td><?php echo e($item['itemName']); ?></td>
                                                    <td><?php echo e($item['ItemTotalClosingQuantity']); ?></td>
                                                    <td><?php echo e($item['unit']); ?></td>
                                                    <?php
                                                        $TotalQuantity += $item['ItemTotalClosingQuantity'];
                                                    ?>
                                                </tr>
                                            <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                        <tr class="td-drak-light">
                                            <td><strong>Total: <?php echo e($groupName); ?></strong></td>
                                            <td><strong><?php echo e($groupTotal); ?></strong></td>
                                            <td></td>
                                        </tr>
                                    <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td colspan="3"></td>
                                    </tr>
                                    <tr class="td-drak-bg">
                                        <td><strong>Grand Total</strong></td>
                                        <td colspan="3"><strong><?php echo e($grandTotal); ?></strong></td>
                                    </tr>
                            </tbody>
                        </table>
                    </div>
                    <br>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->

<script>
    function printPageArea(areaID) {
        var printContent = document.getElementById(areaID).innerHTML;
        var originalContent = document.body.innerHTML;
        document.body.innerHTML = printContent;
        window.print();
        document.body.innerHTML = originalContent;
    }
</script>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/reports/complete-stock-report.blade.php ENDPATH**/ ?>