<?php $__env->startSection('content'); ?>


            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <h6 class="card-title mb-4 titlcust">Notifications
                                    </h6>
                                </div>
                                <?php if(auth()->user()->role == 'admin'): ?>
                                    <div class="col-md-6">
                                        <a href="<?php echo e(route('software.notifications.create')); ?>">
                                            <button class="btn btn-cust1 float-right" type="submit"><i
                                                    class="fas fa-plus"></i>
                                                Create Notifications</button>
                                        </a>
                                    </div>
                                <?php endif; ?>
                            </div>

                            <!-- <div class="col-4"> -->
                            <form action="#" class="outer-repeater">

                                <div class="table-responsive mb-0" data-pattern="priority-columns">
                                    <table id="datatable" class="table table-bordered nowrap table-striped"
                                        style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                        <thead>
                                            <tr>
                                                <th>Title</th>
                                                <th>Description</th>
                                                <th>Status</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>

                                        <tbody>
                                            <?php $__empty_1 = true; $__currentLoopData = $notifications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $notification): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                                <tr>
                                                    <td><?php echo e($notification->title); ?></td>
                                                    <td><?php echo e($notification->description); ?></td>
                                                    <td><?php echo e($notification->status); ?></td>
                                                    <td>
                                                        <?php if(auth()->user()->role == 'admin'): ?>
                                                            <a
                                                                href="<?php echo e(route('software.notifications.delete', ['notification' => $notification->id])); ?>">
                                                                <i class="fas fa-trash"></i>
                                                            </a>
                                                        <?php endif; ?>
                                                    </td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <?php endif; ?>
                                        </tbody>
                                    </table>
                                </div>



                            </form>


                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- end row -->



        <!-- end row -->

        <!-- end row -->

        <!-- end row -->
    </div>

    <!-- Right bar overlay-->
    <div class="rightbar-overlay"></div>

    <!-- JAVASCRIPT -->
    <script src="assets/libs/jquery/jquery.min.js"></script>
    <script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="assets/libs/metismenu/metisMenu.min.js"></script>
    <script src="assets/libs/simplebar/simplebar.min.js"></script>
    <script src="assets/libs/node-waves/waves.min.js"></script>

    <!-- apexcharts -->
    <script src="assets/libs/apexcharts/apexcharts.min.js"></script>

    <!-- form repeater js -->
    <script src="assets/libs/jquery.repeater/jquery.repeater.min.js"></script>

    <!-- form repeater init -->
    <script src="assets/js/pages/form-repeater.init.js"></script>

    <!-- jquery.vectormap map -->
    <script src="assets/libs/admin-resources/jquery.vectormap/jquery-jvectormap-1.2.2.min.js"></script>
    <script src="assets/libs/admin-resources/jquery.vectormap/maps/jquery-jvectormap-us-merc-en.js"></script>

    <script src="assets/js/pages/dashboard.init.js"></script>

    <script src="assets/js/app.js"></script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/notifications/crusher-notification.blade.php ENDPATH**/ ?>