@extends('layouts.crusher')
@section('content')


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">View Period Closing</h6>
                            </div>
                            <div class="col-md-6">
                                <a href="">
                                    <button class="btn btn-outline-primary float-right cust-btn1" type="submit"
                                        onclick="printPageArea('printableArea')">Print Document
                                    </button>
                                </a>
                                <a href="">
                                    <button class="btn btn-outline-primary float-right" type="submit">Back
                                    </button>
                                </a>
                            </div>
                        </div>

                        <div class="row" id="printableArea">

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>From Date :</label>
                                    <span>{{$periodClosing->from}}</span>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <label>To Date :</label>
                                <span>{{$periodClosing->to}}</span>
                            </div>



                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->



    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
@endsection
