@extends('layouts.master_user_without_nav')
@section('css')
<style>

</style>
@endsection
@section('content')
<div class="middle-box animated fadeInDown">
    @include('errors.list')
    <div>
        <div class="text-center">
            <img alt="image" src="user_files/img/acp-logo.png" />
            <h3 class="acp-text-color">Advance Corporate Professionals & Businesses LLC</h3>
        </div>

        <form method="POST" action="{{ route('login') }}">
            @csrf

            {{-- <div class="form-group row">
                <label for="email" class="col-md-12 col-form-label text-md-right">{{ __('Select Year') }}</label>

                <div class="col-md-12">
                    <select class="form-control" name="location" required>
                        <option value="2020">2020</option>
                        <option value="2021">2021</option>
                    </select>
                </div>
            </div> --}}

            <div class="form-group row">
                <label for="email" class="col-md-12 col-form-label text-md-right">{{ __('E-Mail Address') }}</label>

                <div class="col-md-12">
                    <input id="email" type="email" placeholder="Enter E-Mail Address" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>

                    @error('email')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
            </div>

            <div class="form-group row">
                <label for="password" class="col-md-12 col-form-label text-md-right">{{ __('Password') }}</label>

                <div class="col-md-12">
                    <input id="password" type="password" placeholder="Enter Password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="current-password">

                    @error('password')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
            </div>

            <div class="form-group row">
                <div class="col-md-12">
                    <button type="submit" class="btn btn-primary block full-width m-b">
                        {{ __('Login') }}
                    </button>
                </div>
            </div>
        </form>
    </div>
</div>
@endsection

@section('js')
<script>
</script>
@endsection
