@extends('layouts.crusher')
@section('content')


            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <h6 class="card-title mb-4 titlecust">Create Notifications</h6>
                                </div>
                            </div>
                            <form action="{{ route('crusher.notifications.store') }}" class="outer-repeater" method="POST">
                                @csrf
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="custom-control custom-switch mb-2" dir="ltr">
                                            <input type="checkbox" class="custom-control-input selectallmaster"
                                                id="customSwitch72" name="sendToAll" unchecked>
                                            <label class="custom-control-label" for="customSwitch72"> Select All Branches
                                                Users</label>
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <input type="checkbox" id="myCheck" onclick="myFunction()" name="sendToBranch">
                                        Select By Branch
                                    </div>
                                    <div class="col-md-4" id="pricehidden1" style="display: none;">
                                        <div class="form-group">
                                            <label class="control-label">Select Branch</label>
                                            <select class="form-control branches" name="branch">
                                                <option selected disabled>Select Branch</option>
                                                @forelse ($branches as $branch)
                                                    <option value="{{ $branch->id }}">{{ $branch->name }}</option>
                                                @empty
                                                @endforelse
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="row" id="pricehidden2" style="display: none;">
                                    <div class="col-md-3">
                                        <div class="custom-control custom-checkbox mb-2">
                                            <input type="checkbox" class="custom-control-input" id="customCheck0" unchecked>
                                            <label class="custom-control-label" for="customCheck0">Select All</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row" id="pricehidden3" style="display: none;">
                                    <div class="col-md-3">
                                        <div class="custom-control custom-checkbox mb-2">
                                            <input type="checkbox" class="custom-control-input master" id="customCheck1"
                                                unchecked>
                                            <label class="custom-control-label" for="customCheck1">Lorem Ipsum</label>
                                        </div>
                                    </div>
                                </div>
                                <br>
                                <br>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Title</label>
                                            <input class="form-control" type="text" placeholder="Enter Title"
                                                id="example-password-input" name="title">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Description</label>
                                            <textarea class="form-control" rows="4" type="text" placeholder="Enter Description" id="example-textarea-input"
                                                name="description"></textarea>
                                        </div>
                                    </div>
                                </div>
                                <button class="btn btn-cust1 float-right" type="submit">Send Notifications</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- JAVASCRIPT -->
    <script src="https://code.jquery.com/jquery-3.7.0.js" integrity="sha256-JlqSTELeR4TLqP0OG9dxM7yDPqX1ox/HfgiSLBj8+kM="
        crossorigin="anonymous"></script>
    <script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="assets/libs/metismenu/metisMenu.min.js"></script>
    <script src="assets/libs/simplebar/simplebar.min.js"></script>
    <script src="assets/libs/node-waves/waves.min.js"></script>
    <!-- apexcharts -->
    <script src="assets/libs/apexcharts/apexcharts.min.js"></script>
    <!-- jquery.vectormap map -->
    <script src="assets/libs/admin-resources/jquery.vectormap/jquery-jvectormap-1.2.2.min.js"></script>
    <script src="assets/libs/admin-resources/jquery.vectormap/maps/jquery-jvectormap-us-merc-en.js"></script>
    <script src="assets/js/pages/dashboard.init.js"></script>
    <script src="assets/js/app.js"></script>
    <script>
        function myFunction() {
            var checkBox = document.getElementById("myCheck");
            var pricehidden1 = document.getElementById("pricehidden1");
            var pricehidden2 = document.getElementById("pricehidden2");
            var pricehidden3 = document.getElementById("pricehidden3");
            var pricehidden4 = document.getElementById("pricehidden4");
            var pricehidden5 = document.getElementById("pricehidden5");
            var pricehidden6 = document.getElementById("pricehidden6");

            if (checkBox.checked == false) {
                pricehidden1.style.display = "none";
                pricehidden2.style.display = "none";
                pricehidden3.style.display = "none";
                pricehidden4.style.display = "none";
                pricehidden5.style.display = "none";
                pricehidden6.style.display = "none";
            } else {
                pricehidden1.style.display = "block";
                pricehidden2.style.display = "block";
                pricehidden3.style.display = "block";
                pricehidden4.style.display = "block";
                pricehidden5.style.display = "block";
                pricehidden6.style.display = "block";
            }
        }

        document.addEventListener("DOMContentLoaded", function() {
            // Get references to the "Select All" checkbox and the container for user checkboxes
            const selectAllCheckbox = document.getElementById("customCheck0");
            const userCheckboxes = document.querySelectorAll(".master");

            // Add an event listener to the "Select All" checkbox
            selectAllCheckbox.addEventListener("change", function() {
                const isChecked = selectAllCheckbox.checked;

                // Set the state of all user checkboxes based on the "Select All" checkbox
                userCheckboxes.forEach(function(userCheckbox) {
                    // console.log(userCheckbox)
                    userCheckbox.checked = isChecked;
                });
            });

            // Get references to the select element and the container for checkboxes
            const branchSelect = document.querySelector(".branches");
            const checkboxesContainer = document.querySelector("#pricehidden3");

            // Add an event listener to the branch select element
            branchSelect.addEventListener("change", function() {
                const selectedBranchId = branchSelect.value;

                // Use the route helper to generate the URL with the selected branch ID
                fetch(`{{ route('crusher.branch.subadmins') }}?branch=${selectedBranchId}`)
                    .then(response => response.json())
                    .then(data => {
                        // Clear any existing checkboxes
                        checkboxesContainer.innerHTML = "";

                        // Create checkboxes for each user and append them to the container
                        data.forEach(user => {
                            const checkbox = document.createElement("div");
                            checkbox.classList.add("custom-control", "custom-checkbox", "mb-2");
                            checkbox.innerHTML = `
                                <input type="checkbox" class="custom-control-input master" name="users[]" value="${user.id}" id="customCheck${user.id}">
                                <label class="custom-control-label" for="customCheck${user.id}">${user.name}</label>
                            `;
                            checkboxesContainer.appendChild(checkbox);
                        });

                        // Reset the "Select All" checkbox to unchecked when users change
                        selectAllCheckbox.checked = false;
                    })
                    .catch(error => {
                        console.error("Error fetching users:", error);
                    });
            });
        });
    </script>
@endsection
