@extends('layouts.crusher')
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Cash Ledger Report</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">
                            </h6>
                            <h6 class="">Date: <span>{{ $from_date }}</span> To <span>{{ $to_date }}</span>
                            </h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>

                            </div>
                            <!-- <a href="client-add-expenses.html">
                                        <button class="btn btn-cust2 float-right" type="submit">
                                            <i class="fas fa-mail-bulk"></i>Email (PDF Formate)
                                            </button>
                                    </a>
                                    <a href=""><button type="button" class="btn btn-cust2 float-right waves-effect waves-light">
                                         <i class="fas fa-print">Print </i> & <i class="fas fa-file-pdf">PDF Formate</i>
                                    </button></a> -->
                        </div>
                    </div>
                    <br>
                    <!-- <div class="col-4"> -->
                    <div class="row">

                        <div class="col-md-12">
                            <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr class="td-drak-light">
                                            <th>Date</th>
                                            <th>Voucher Description</th>
                                            <th>Debit</th>
                                            <th>Credit</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $ObdebitTotal = 0;
                                        $ObcreditTotal = 0;
                                        $ObPurchaesInvoiceTotal = 0;
                                        $ObsaleInvoiceTotal = 0;
                                        $ObJournalVoucherTotal = 0;
                                        $ObReceiptVoucherTotal = 0;
                                        $ObPaymentVoucherTotal = 0;
                                        $ObCreditNoteTotal = 0;
                                        $ObDebitNoteTotal = 0;
                                        $ObQuotationTotal = 0;
                                        $ObReceiptVouchersTotal = 0;
                                        $OBPaymentVouchersTotal = 0;
                                        $ObDebit = 0;
                                        $ObCredit = 0;

                                        foreach ($ObPurchaesInvoice as $Pinvoice) {
                                            $ObPurchaesInvoiceTotal += $Pinvoice->total_net_amount;
                                        }

                                        foreach ($ObSaleInvoice as $Sinvoice) {
                                            $ObsaleInvoiceTotal += $Sinvoice->total_net_amount;
                                        }

                                        foreach ($ObJournalVoucher as $Jinvoice) {
                                            $ObJournalVoucherTotal += $Jinvoice->total_net_amount;
                                        }

                                        foreach ($ObReceiptVoucher as $RVoucher) {
                                            $ObReceiptVoucherTotal += $RVoucher->expense->sum('amount');
                                        }

                                        foreach ($ObPaymentVoucher as $PVoucher) {
                                            $ObPaymentVoucherTotal += $PVoucher->expense->sum('amount');
                                        }
                                        foreach ($ObCreditNote as $CNote) {
                                            $ObCreditNoteTotal += $CNote->total_net_amount;
                                        }
                                        foreach ($ObDebitNote as $DNote) {
                                            $ObDebitNoteTotal += $DNote->total_net_amount;
                                        }
                                        foreach ($ObQuotation as $Q) {
                                            $ObQuotationTotal += $Q->total_net_amount;
                                        }

                                        foreach ($ObReceiptVouchers as $receiptVoucher) {
                                            $totalAmount = 0;

                                            foreach ($receiptVoucher->mergedExpenses as $mergedExpense) {
                                                $totalAmount += $mergedExpense['total_amount'];
                                            }

                                            if ($totalAmount > 0) {
                                                $ObReceiptVouchersTotal += $totalAmount;
                                            }
                                        }
                                        foreach ($OBPaymentVouchers as $OBPaymentVoucher) {
                                            $totalAmount = 0;

                                            foreach ($OBPaymentVoucher->mergedExpenses as $mergedExpense) {
                                                $totalAmount += $mergedExpense['total_amount'];
                                            }

                                            if ($totalAmount > 0) {
                                                $OBPaymentVouchersTotal += $totalAmount;
                                            }
                                        }


                                        $ObdebitTotal = + $ObsaleInvoiceTotal + $ObJournalVoucherTotal + $ObPaymentVoucherTotal + $ObCreditNoteTotal + $ObDebitNoteTotal + $ObQuotationTotal + $ObReceiptVoucherTotal + $ObReceiptVouchersTotal ;

                                        $ObcreditTotal = $ObPurchaesInvoiceTotal + $OBPaymentVouchersTotal;

                                        if ($ObdebitTotal > $ObcreditTotal) {
                                              $ObDebit = $ObdebitTotal - $ObcreditTotal;
                                          } elseif ($ObdebitTotal < $ObcreditTotal) {
                                              $ObCredit = $ObcreditTotal - $ObdebitTotal;
                                          }

                                          $DebitopeningBalance = $ObDebit;
                                          $creditOpeningBalance = $ObCredit;
                                        ?>

                                        <?php
                                        $debitTotal = 0;
                                        $creditTotal = 0;
                                        $PurchaesInvoiceTotal = 0;
                                        $saleInvoiceTotal = 0;
                                        $CreditNoteTotal = 0;
                                        $DebitNoteTotal = 0;
                                        $QuotationTotal = 0;
                                        $ReceiptVouchersTotal = 0;
                                        $PurchaseOrderTotal = 0;
                                        $PaymentVoucherTotal = 0;
                                        $ReceiptVoucherTotal = 0;
                                        $JournalVoucherTotal = 0;
                                        $PaymentVouchersTotal = 0;
                                        ?>

                                        {{-- @if (!empty($PurchaesInvoice))
                                        @foreach ($PurchaesInvoice as $Pinvoice)
                                            <tr>
                                                <td>{{ $Pinvoice->date }}</td>
                                                <td><strong><a href="{{ route('crusher.purchase_invoices.show', ['purchase_invoice' => $Pinvoice->id]) }}">Puchase#
                                                            {{ $Pinvoice->invoice_no }}</a></strong></td>
                                                <td></td>
                                                <td><strong>{{ number_format($Pinvoice->total_net_amount, session('branch')->currency_decimal) }}</strong></td>
                                                @php
                                                    $PurchaesInvoiceTotal += $Pinvoice->total_net_amount;
                                                @endphp
                                            </tr>
                                        @endforeach
                                        @endif

                                        @if (!empty($SaleInvoice))
                                        @foreach ($SaleInvoice as $Sinvoice)
                                            <tr>
                                                <td>{{ $Sinvoice->date }}</td>
                                                <td><strong><a href="{{ route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $Sinvoice->id]) }}">Sales#
                                                            {{ $Sinvoice->invoice_no }}</a></strong></td>
                                                <td><strong>{{ number_format($Sinvoice->total_net_amount, session('branch')->currency_decimal) }}</strong></td>
                                                <td></td>
                                                @php
                                                    $saleInvoiceTotal += $Sinvoice->total_net_amount;
                                                @endphp
                                            </tr>
                                        @endforeach
                                        @endif

                                        @if (!empty($JournalVoucher))
                                        @foreach ($JournalVoucher as $Jinvoice)
                                            <tr>
                                                <td>{{ $Jinvoice->date }}</td>
                                                <td><strong><a href="{{ route('crusher.journal_vouchers.show', ['journal_voucher' => $Jinvoice->id]) }}"></a>Journal#
                                                        {{ $Jinvoice->invoice_no }}</strong></td>
                                                <td><strong>{{ number_format($Jinvoice->amount, session('branch')->currency_decimal) }}</strong></td>
                                                <td></td>
                                                @php
                                                    $JournalVoucherTotal += $Jinvoice->amount;
                                                @endphp
                                            </tr>
                                        @endforeach
                                        @endif

                                        @if (!empty($ReceiptVoucher))
                                        @foreach ($ReceiptVoucher as $RVoucher)
                                            <tr>
                                                <td>{{ $RVoucher->date->format('Y-m-d') }}</td>
                                                <td><strong> <a href="{{ route('crusher.receipt_vouchers.show', ['receipt_voucher' => $RVoucher->id]) }}">Receipt#
                                                            {{ $RVoucher->invoice_no }}</a></strong></td>
                                                <td></td>
                                                <td><strong>{{ number_format($RVoucher->expense->sum('amount'), session('branch')->currency_decimal) }}</strong></td>
                                                @php
                                                    $ReceiptVoucherTotal += $RVoucher->expense->sum('amount');
                                                @endphp
                                            </tr>
                                        @endforeach
                                        @endif

                                        @if (!empty($CreditNote))
                                        @foreach ($CreditNote as $CNote)
                                            <tr>
                                                <td>{{ $CNote->date->format('Y-m-d') }}</td>
                                                <td><strong> <a href="{{ route('crusher.credit_notes.show', ['credit_note' => $CNote->id]) }}">Credit#
                                                            {{ $CNote->invoice_no }}</a></strong></td>
                                                <td><strong>{{ number_format($CNote->total_net_amount, session('branch')->currency_decimal) }}</strong></td>
                                                <td></td>
                                                @php
                                                    $CreditNoteTotal += $CNote->total_net_amount;
                                                @endphp
                                            </tr>
                                        @endforeach
                                        @endif

                                        @if (!empty($DebitNote))
                                        @foreach ($DebitNote as $DNote)
                                            <tr>
                                                <td>{{ $DNote->date->format('Y-m-d') }}</td>
                                                <td><strong> <a href="{{ route('crusher.debit_notes.show', ['debit_note' => $DNote->id]) }}">Debit#
                                                            {{ $DNote->invoice_no }}</a></strong></td>
                                                <td><strong>{{ number_format($DNote->total_net_amount, session('branch')->currency_decimal) }}</strong></td>
                                                <td></td>
                                                @php
                                                    $DebitNoteTotal += $DNote->total_net_amount;
                                                @endphp
                                            </tr>
                                        @endforeach
                                        @endif

                                        @if (!empty($PurchaseOrder))
                                        @foreach ($PurchaseOrder as $POrder)
                                            <tr>
                                                <td>{{ $POrder->date->format('Y-m-d') }}</td>
                                                <td><strong> <a href="{{ route('crusher.purchase_orders.show', ['purchase_order' => $POrder->id]) }}">PurchaseOrder#
                                                            {{ $POrder->invoice_no }}</a></strong></td>
                                                <td><strong>{{ number_format($POrder->total_net_amount, session('branch')->currency_decimal) }}</strong></td>
                                                <td></td>
                                                @php
                                                    $PurchaseOrderTotal += $POrder->total_net_amount;
                                                @endphp
                                            </tr>
                                        @endforeach
                                        @endif

                                        @if (!empty($Quotation))
                                        @foreach ($Quotation as $Q)
                                            <tr>
                                                <td>{{ $Q->date->format('Y-m-d') }}</td>
                                                <td><strong><a href="{{ route('crusher.quotations.show', ['quotation' => $Q->id]) }}">Quotation#
                                                            {{ $Q->quotation_no }}</a></strong></td>
                                                <td><strong>{{ number_format($Q->total_net_amount, session('branch')->currency_decimal) }}</strong></td>
                                                <td></td>
                                                @php
                                                    $QuotationTotal += $Q->total_net_amount;
                                                @endphp
                                            </tr>
                                        @endforeach
                                        @endif
                                        @foreach ($PaymentVouchers as $PaymentVoucher)
                                            @php
                                                $totalAmount = 0;
                                            @endphp

                                            @foreach ($PaymentVoucher->mergedExpenses as $mergedExpense)
                                                @php
                                                    $totalAmount += $mergedExpense['total_amount'];
                                                @endphp
                                            @endforeach

                                            @if ($totalAmount > 0)
                                                <tr>
                                                    <td>{{ $PaymentVoucher->date }}</td>
                                                    <td><strong><a href="{{ route('crusher.receipt_vouchers.show', ['receipt_voucher' => $PaymentVoucher->id]) }}">payment#
                                                        {{ $PaymentVoucher->invoice_no }}</a></strong></td>
                                                        <td></td>
                                                    <td>{{ number_format($totalAmount, session('branch')->currency_decimal) }}</td>
                                                </tr>
                                                @php
                                                    $PaymentVouchersTotal += $totalAmount;
                                                @endphp
                                            @endif
                                        @endforeach
                                        @foreach ($ReceiptVouchers as $receiptVoucher)
                                            @php
                                                $totalAmount = 0;
                                            @endphp

                                            @foreach ($receiptVoucher->mergedExpenses as $mergedExpense)
                                                @php
                                                    $totalAmount += $mergedExpense['total_amount'];
                                                @endphp
                                            @endforeach

                                            @if ($totalAmount > 0)
                                                <tr>
                                                    <td>{{ $receiptVoucher->date }}</td>
                                                    <td><strong><a href="{{ route('crusher.receipt_vouchers.show', ['receipt_voucher' => $receiptVoucher->id]) }}">Receipt#
                                                        {{ $receiptVoucher->invoice_no }}</a></strong></td>
                                                    <td>{{ number_format($totalAmount, session('branch')->currency_decimal) }}</td>
                                                </tr>
                                                @php
                                                    $ReceiptVouchersTotal += $totalAmount;
                                                @endphp
                                            @endif
                                        @endforeach --}}



                                    @foreach ($allData->sortBy('date') as $data)
                                    @if (is_object($data))
                                    <tr>
                                        <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\CreditNote)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\DebitNote)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\AdminReceiptVoucher)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\AdminPaymentVoucher)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\AdminPurchaesInvoice)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\AdminJournalVoucher)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\Quotation)
                                                {{ $data->date }}
                                            @endif
                                        </td>
                                        <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)
                                                <span><strong><a href="{{ route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $data->id]) }}">Sales#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\CreditNote)
                                                <span><strong><a href="{{ route('crusher.credit_notes.show', ['credit_note' => $data->id]) }}">Credit Note#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\DebitNote)
                                                <span><strong><a href="{{ route('crusher.debit_notes.show', ['debit_note' => $data->id]) }}">Debit Note#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\AdminReceiptVoucher)
                                                <span><strong><a href="{{ route('crusher.receipt_vouchers.show', ['receipt_voucher' => $data->id]) }}">Receipt#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\AdminPaymentVoucher)
                                                <span><strong><a href="{{ route('crusher.payment_vouchers.show', ['payment_voucher' => $data->id]) }}">Payment#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\AdminPurchaesInvoice)
                                                <span><strong><a href="{{ route('crusher.purchase_invoices.show', ['purchase_invoice' => $data->id]) }}">Purchase#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\AdminJournalVoucher)
                                                <span><strong><a href="{{ route('crusher.journal_vouchers.show', ['journal_voucher' => $data->id]) }}">Journal#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\Quotation)
                                                <span><strong><a href="{{ route('crusher.quotations.show', ['quotation' => $data->id]) }}">Quatation#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @endif
                                        </td>
                                        <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)
                                                {{ number_format($data->total_net_amount, session('branch')->currency_decimal) }}
                                                @php
                                                    $saleInvoiceTotal += $data->total_net_amount;
                                                @endphp
                                            @elseif ($data instanceof \App\DebitNote)
                                                {{ number_format($data->total_net_amount, session('branch')->currency_decimal) }}
                                                @php
                                                    $DebitNoteTotal += $data->total_net_amount;
                                                @endphp
                                            @elseif ($data instanceof \App\AdminJournalVoucher)
                                                {{ number_format($data->total_net_amount, session('branch')->currency_decimal) }}
                                                @php
                                                    $JournalVoucherTotal += $data->total_net_amount;
                                                @endphp
                                            @elseif ($data instanceof \App\Quotation)
                                                {{ number_format($data->total_net_amount, session('branch')->currency_decimal) }}
                                                @php
                                                    $QuotationTotal += $data->total_net_amount;
                                                @endphp
                                            @elseif ($data instanceof \App\AdminReceiptVoucher)
                                                @if(isset($data->mergedExpenses))
                                                    @foreach($data->mergedExpenses as $expense)
                                                        {{ number_format($expense['total_amount'], session('branch')->currency_decimal) }}
                                                        @php
                                                            $ReceiptVouchersTotal += $expense['total_amount'];
                                                        @endphp
                                                    @endforeach
                                                @endif
                                            @endif
                                        </td>
                                        <td>
                                            @if ($data instanceof \App\AdminPurchaesInvoice)
                                                {{ number_format($data->total_net_amount, session('branch')->currency_decimal) }}
                                            @elseif ($data instanceof \App\CreditNote)
                                                {{ number_format($data->total_net_amount, session('branch')->currency_decimal) }}
                                            @elseif ($data instanceof \App\AdminPaymentVoucher)
                                                @if(isset($data->mergedExpenses))
                                                    @foreach($data->mergedExpenses as $expense)
                                                        {{ number_format($expense['total_amount'], session('branch')->currency_decimal) }}
                                                        @php
                                                            $PaymentVouchersTotal += $expense['total_amount'];
                                                        @endphp
                                                    @endforeach
                                                @endif
                                            @endif
                                        </td>
                                    </tr>
                                    @endif
                                    @endforeach

                                        <?php

                                        $debitTotal = $saleInvoiceTotal + $JournalVoucherTotal  + $DebitNoteTotal + $PurchaseOrderTotal + $QuotationTotal + $ReceiptVouchersTotal + $ReceiptVoucherTotal ;

                                        $creditTotal = $PurchaesInvoiceTotal + $PaymentVoucherTotal + $PaymentVouchersTotal + $CreditNoteTotal ;

                                        ?>
                                        <tr >
                                            <td></td>
                                            <td>Opening Balance</td>
                                            <td>
                                                @php
                                                    $OBforDebitCash = $debitOB + $DebitopeningBalance;
                                                @endphp
                                                @if ($OBforDebitCash)
                                                    <strong>{{ number_format($OBforDebitCash, session('branch')->currency_decimal) }}</strong>
                                                @endif
                                            </td>
                                            <td>
                                                @php
                                                    $OBforCreditCash = $creditOB + $creditOpeningBalance;
                                                @endphp
                                                @if ($OBforCreditCash)
                                                    <strong>{{ number_format($OBforCreditCash, session('branch')->currency_decimal) }}</strong>
                                                @endif
                                            </td>
                                        </tr>
                                        <tr class="td-drak-bg">
                                            <td></td>
                                            <td><strong>Current Balance</strong></td>
                                            <td><strong>{{ number_format($debitTotal, session('branch')->currency_decimal) }}</strong></td>
                                            <td><strong>{{ number_format($creditTotal, session('branch')->currency_decimal) }}</strong></td>
                                        </tr>
                                        <?php
                                        // Closing Balance

                                        $DebitCB = $debitTotal + $OBforDebitCash;

                                        $CreditCB = $creditTotal + $OBforCreditCash;

                                        $ClosingBalance = $DebitCB - $CreditCB;

                                        ?>
                                        <tr >
                                            <td></td>
                                            <td>Closing Balance</td>
                                            <td class="{{ ($ClosingBalance > 0) ? 'text-danger' : '' }}">{{ $ClosingBalance >= 0 ? number_format($ClosingBalance, session('branch')->currency_decimal) : '' }} </td>
                                            <td>{{ $ClosingBalance < 0 ? number_format(abs($ClosingBalance), session('branch')->currency_decimal) : '' }}</td>
                                        </tr>

                                    </tbody>
                                </table>
                            </div>
                        </div>

                    </div>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
@endsection
