@extends('layouts.crusher')
@section('content')


            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <h6 class="card-title mb-4 titlcust">All Users</h6>
                                </div>
                                <div class="col-md-6">
                                    <a href="{{ route('crusher.subadmins.create') }}">
                                        <button class="btn btn-cust1 float-right" type="submit">Create Add User
                                        </button>
                                    </a>
                                </div>

                            </div>
                            <!-- <div class="col-4"> -->


                            <div class="table-responsive mb-0" data-pattern="priority-columns">
                                <table id="datatable" class="table table-bordered nowrap table-striped"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>User Name</th>
                                            <th>User Email</th>
                                            <th>User Location</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>

                                    <tbody>
                                        @forelse ($subadmins as $subadmin)
                                            <tr>
                                                <td>{{ $subadmin->name }}</td>
                                                <td>{{ $subadmin->email }}</td>
                                                <td>{{ $subadmin->location }}</td>
                                                <td>
                                                    @php
                                                        $url = route('crusher.subadmins.edit', ['subadmin' => $subadmin->id]);
                                                        $showUrl = route('crusher.subadmins.show', ['subadmin' => $subadmin->id]);
                                                        $subadmin->load('permissions.branchPermission.permission');
                                                        $branches = $subadmin->permissions->load('branchPermission.permission', 'branchPermission.branch');
                                                        $branches = $branches
                                                            ->pluck('branchPermission.branch')
                                                            ->unique()
                                                            ->pluck('id');
                                                        if ($branches->isNotEmpty())
                                                        {
                                                            $branchIds = $branches->toArray(); // Convert the collection to an array of branch IDs
                                                            $branchIdsQueryString = implode(
                                                                '&',
                                                                array_map(function ($id) {
                                                                    return 'branch_ids[]=' . $id;
                                                                }, $branchIds)
                                                            );

                                                            // Construct the URL with the branch IDs query string
                                                            $url = route('crusher.subadmins.edit', ['subadmin' => $subadmin->id]) . '?' . $branchIdsQueryString;
                                                            $showUrl = route('crusher.subadmins.show', ['subadmin' => $subadmin->id]) . '?' . $branchIdsQueryString;
                                                        }
                                                    @endphp
                                                    {{-- <a
                                                        href="{{ $showUrl }}">
                                                        <i class="far fa-eye cust-icon2"></i></a> --}}

                                                    <a href="{{ $url }}">
                                                        <i class="far fa-edit cust-icon2"></i></a>
                                                    <a onclick="return confirm('Sure want to delete?')"
                                                        href="{{ route('crusher.subadmin.trash', ['subadmin' => $subadmin->id]) }}">
                                                        <i class="far fa-trash-alt cust-icon2"></i></a>
                                                </td>
                                            </tr>
                                        @empty
                                        @endforelse

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- end row -->



        <!-- end row -->

        <!-- end row -->

        <!-- end row -->
    </div>


    <!-- Right bar overlay-->
    <div class="rightbar-overlay"></div>

    <!-- JAVASCRIPT -->
    <!-- JAVASCRIPT -->
    <script src="assets/libs/jquery/jquery.min.js"></script>
    <script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="assets/libs/metismenu/metisMenu.min.js"></script>
    <script src="assets/libs/simplebar/simplebar.min.js"></script>
    <script src="assets/libs/node-waves/waves.min.js"></script>

    <!-- Required datatable js -->
    <script src="assets/libs/datatables.net/js/jquery.dataTables.min.js"></script>
    <script src="assets/libs/datatables.net-bs4/js/dataTables.bootstrap4.min.js"></script>
    <!-- Buttons examples -->
    <script src="assets/libs/datatables.net-buttons/js/dataTables.buttons.min.js"></script>
    <script src="assets/libs/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js"></script>
    <script src="assets/libs/jszip/jszip.min.js"></script>
    <script src="assets/libs/pdfmake/build/pdfmake.min.js"></script>
    <script src="assets/libs/pdfmake/build/vfs_fonts.js"></script>
    <script src="assets/libs/datatables.net-buttons/js/buttons.html5.min.js"></script>
    <script src="assets/libs/datatables.net-buttons/js/buttons.print.min.js"></script>
    <script src="assets/libs/datatables.net-buttons/js/buttons.colVis.min.js"></script>
    <!-- Responsive examples -->
    <script src="assets/libs/datatables.net-responsive/js/dataTables.responsive.min.js"></script>
    <script src="assets/libs/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js"></script>

    <!-- Datatable init js -->
    <script src="assets/js/pages/datatables.init.js"></script>

    <!-- App js -->
    <script src="assets/js/app.js"></script>
@endsection
