@extends('layouts.master_user_without_nav')
@section('css')
<style>
    #custom-search-input {
        padding: 3px;
        border: solid 1px #E4E4E4;
        border-radius: 6px;
        background-color: #fff;
    }

    #custom-search-input input {
        border: 0;
        box-shadow: none;
    }

    #custom-search-input button {
        margin: 2px 0 0 0;
        background: none;
        box-shadow: none;
        border: 0;
        color: #666666;
        padding: 0 8px 0 10px;
        border-left: solid 1px #ccc;
    }

    #custom-search-input button:hover {
        border: 0;
        box-shadow: none;
        border-left: solid 1px #ccc;
    }

    #custom-search-input .glyphicon-search {
        font-size: 23px;
    }

    .button-height {
        padding: 20px;
        height: 120px;
    }
</style>
@endsection
@section('content')
<div class=" container wrapper wrapper-content animated fadeInRight">
    <div class="row">
        <div class="col-md-4">
            <a href={{url('/country-location')}} class="btn btn-primary block full-width button-height">
                <h2><strong>Country & Location Master</strong></h2>
            </a>
        </div>
        <div class="col-md-4">
            <a href={{url('/')}} class="btn btn-primary block full-width button-height">
                <h2><strong>Continue to Dashboard</strong></h2>
            </a>
            {{-- <button type="button" class=""></button> --}}
        </div>
        <div class="col-md-4">
            <a href={{url('/user')}} class="btn btn-primary block full-width button-height">
                <h2><strong>Users & Privilages Master</strong></h2>
            </a>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <h2>Keyword/Number</h2>
            <div id="custom-search-input">
                <div class="input-group">
                    <input type="text" class="form-control input-lg" placeholder="Keyword/Number" />
                    <span class="input-group-btn">
                        <button class="btn btn-info btn-lg" type="button">
                            <i class="glyphicon glyphicon-search"></i>
                        </button>
                    </span>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <h2>View,Edit,Print Invoice/Voucher</h2>
            <div id="custom-search-input">
                <div class="input-group">
                    <input type="text" class="form-control input-lg" placeholder="Invoice/Voucher No" />
                    <span class="input-group-btn">
                        <button class="btn btn-info btn-lg" type="button">
                            <i class="glyphicon glyphicon-search"></i>
                        </button>
                    </span>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <h2>Stock Search</h2>
            <div id="custom-search-input">
                <div class="input-group">
                    <input type="text" class="form-control input-lg" placeholder="Stock Search" />
                    <span class="input-group-btn">
                        <button class="btn btn-info btn-lg" type="button">
                            <i class="glyphicon glyphicon-search"></i>
                        </button>
                    </span>
                </div>
            </div>
        </div>
    </div>
</div>




@endsection

@section('js')
<script>
</script>
@endsection
